#!/bin/bash

# Modify this to change the default if you don't want to use the
# optional argument. E.g: scale=${1:-1.25} for 1.25x scaling.
if [ -e ~/.config/scale ];then
    readscale="`cat ~/.config/scale`"
fi

userscale=${readscale:-1.0}

if [ "$userscale"x == "1.25"x ];then
    scale=1.6
elif [ "$userscale"x == "1.5"x ] || [ "$userscale"x == "1.50"x ];then
    scale=1.33
elif [ "$userscale"x == "1.75"x ];then
    scale=1.14
else
    scale=$userscale
fi

#缩放值为１时，可能需要重新设置为１
#其他情况都为２，但２不需要scale
if [ "$scale"x == "1.0"x ];then
	echo "x11-scale: %scale $scale"
	gsettings set org.cdos.desktop.interface scaling-factor 1
	exit 0
else
	echo "x11-scale: %scale $scale"
	gsettings set org.cdos.desktop.interface scaling-factor 2
fi

if [ "$scale"x == "2.0"x ];then
    exit 0
fi
echo $scale
echo "Running $(basename $0)"
cd "$(dirname "$0")"
echo "`/usr/bin/display_scale.sh 1.0`"
echo "`/usr/bin/display_scale.sh $scale`"
